## earlyoom 0.12

=== Makefile ===
VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g

DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= /bin
SYSCONFDIR ?= /etc
SYSTEMDDIR ?= $(SYSCONFDIR)/systemd

ifeq ($(VERSION),)
VERSION := "(unknown version)"
endif

.PHONY: all clean install uninstall

all: earlyoom

earlyoom: $(wildcard *.c *.h)
	$(CC) $(CFLAGS) -o $@ $(wildcard *.c)

clean:
	rm -f earlyoom earlyoom.service earlyoom.initscript

install: earlyoom.service install-bin install-default
	install -d $(DESTDIR)$(SYSTEMDDIR)/system/
	install -m 644 $< $(DESTDIR)$(SYSTEMDDIR)/system/
	-systemctl enable earlyoom

install-initscript: earlyoom.initscript install-bin install-default
	install -d $(DESTDIR)$(SYSCONFDIR)/init.d/
	cp $< $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
	chmod a+x $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
	-update-rc.d earlyoom start 18 2 3 4 5 . stop 20 0 1 6 .

earlyoom.%: earlyoom.%.in
	sed "s|:TARGET:|$(PREFIX)$(BINDIR)|g;s|:SYSCONFDIR:|$(SYSCONFDIR)|g" $< > $@

install-default: earlyoom.default
	install -d $(DESTDIR)$(SYSCONFDIR)/default/
	install -m 644 $< $(DESTDIR)$(SYSCONFDIR)/default/

install-bin: earlyoom
	install -d $(DESTDIR)$(PREFIX)$(BINDIR)/
	install -m 755 $< $(DESTDIR)$(PREFIX)$(BINDIR)/

uninstall: uninstall-bin
	systemctl disable earlyoom
	rm -f $(DESTDIR)$(SYSTEMDDIR)/system/earlyoom.service

uninstall-initscript: uninstall-bin
	rm -f $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
	update-rc.d earlyoom remove

uninstall-bin:
	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/earlyoom

=== debian/changelog ===
earlyoom (0.12-2) unstable; urgency=medium

  * Apply "wrap-and-sort -abst".
  * d/control: Fix typo in Vcs-Git.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 21 Nov 2017 09:30:44 +0800

earlyoom (0.12-1) unstable; urgency=medium

  * Initial release (Closes: #813607)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 28 Sep 2017 10:43:10 +0800

=== debian/control ===
Source: earlyoom
Section: admin
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10),
Standards-Version: 4.1.1
Homepage: https://github.com/rfjakob/earlyoom
Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git

Package: earlyoom
Architecture: any
Depends:
 lsb-base (>= 3.2-14),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Early OOM Daemon
 Earlyoom is an userspace OOM-killer which can avoid the system to get into
 unresponsive state caused by swapping, which is most likely to occur when a
 large swap is present and memory is tight. It checks the amount of available
 memory and swap periodically, and when both are below a preconfigured value,
 it kills the largest process.

## earlyoom 1.0

=== Makefile ===
VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g

DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= /bin
SYSCONFDIR ?= /etc
SYSTEMDDIR ?= $(SYSCONFDIR)/systemd

ifeq ($(VERSION),)
VERSION := "(unknown version)"
endif

.PHONY: all clean install uninstall format

all: earlyoom

earlyoom: $(wildcard *.c *.h)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)

clean:
	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1.gz

install: earlyoom.service install-bin install-default install-man
	install -d $(DESTDIR)$(SYSTEMDDIR)/system/
	install -m 644 $< $(DESTDIR)$(SYSTEMDDIR)/system/
	-systemctl enable earlyoom

install-initscript: earlyoom.initscript install-bin install-default
	install -d $(DESTDIR)$(SYSCONFDIR)/init.d/
	install -m 755 $< $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
	-update-rc.d earlyoom start 18 2 3 4 5 . stop 20 0 1 6 .

earlyoom.%: earlyoom.%.in
	sed "s|:TARGET:|$(PREFIX)$(BINDIR)|g;s|:SYSCONFDIR:|$(SYSCONFDIR)|g" $< > $@

install-default: earlyoom.default install-man
	install -d $(DESTDIR)$(SYSCONFDIR)/default/
	install -m 644 $< $(DESTDIR)$(SYSCONFDIR)/default/earlyoom

install-bin: earlyoom
	install -d $(DESTDIR)$(PREFIX)$(BINDIR)/
	install -m 755 $< $(DESTDIR)$(PREFIX)$(BINDIR)/

install-man: earlyoom.1.gz
	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 $< $(DESTDIR)$(PREFIX)/share/man/man1/

earlyoom.1.gz: earlyoom.1
	gzip -k $<

uninstall: uninstall-bin uninstall-man
	systemctl disable earlyoom
	rm -f $(DESTDIR)$(SYSTEMDDIR)/system/earlyoom.service

uninstall-man:
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/earlyoom.1.gz

uninstall-initscript: uninstall-bin
	rm -f $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
	update-rc.d earlyoom remove

uninstall-bin:
	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/earlyoom

format:
	clang-format -i *.h *.c

=== debian/changelog ===
earlyoom (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat to v11.
  * Remove all patches, merged upstream.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 01 Feb 2018 11:43:07 +0800

earlyoom (0.12-3) unstable; urgency=medium

  * Mark earlyoom as linux-any. Closes: #881782

 -- Boyuan Yang <073plan@gmail.com>  Tue, 21 Nov 2017 14:02:59 +0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
-Standards-Version: 4.1.1
+ debhelper (>= 11),
+Standards-Version: 4.1.3
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git
 
 Package: earlyoom
-Architecture: any
+Architecture: linux-any
 Depends:
  lsb-base (>= 3.2-14),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SYSTEMDDIR=/lib/systemd
	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDDIR=/lib/systemd/system

override_dh_installinit:
	dh_installinit --onlyscripts

## earlyoom 1.1

=== Makefile ===
--- 
+++ 
@@ -1,29 +1,29 @@
 VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
-CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g
+CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
 PREFIX ?= /usr/local
 BINDIR ?= /bin
 SYSCONFDIR ?= /etc
-SYSTEMDDIR ?= $(SYSCONFDIR)/systemd
+SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
 
 ifeq ($(VERSION),)
 VERSION := "(unknown version)"
 endif
 
-.PHONY: all clean install uninstall format
+.PHONY: all clean install uninstall format test
 
 all: earlyoom
 
-earlyoom: $(wildcard *.c *.h)
+earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
 clean:
 	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1.gz
 
 install: earlyoom.service install-bin install-default install-man
-	install -d $(DESTDIR)$(SYSTEMDDIR)/system/
-	install -m 644 $< $(DESTDIR)$(SYSTEMDDIR)/system/
+	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
+	install -m 644 $< $(DESTDIR)$(SYSTEMDUNITDIR)
 	-systemctl enable earlyoom
 
 install-initscript: earlyoom.initscript install-bin install-default
@@ -51,7 +51,7 @@
 
 uninstall: uninstall-bin uninstall-man
 	systemctl disable earlyoom
-	rm -f $(DESTDIR)$(SYSTEMDDIR)/system/earlyoom.service
+	rm -f $(DESTDIR)$(SYSTEMDUNITDIR)/earlyoom.service
 
 uninstall-man:
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/earlyoom.1.gz
@@ -65,3 +65,6 @@
 
 format:
 	clang-format -i *.h *.c
+
+test: earlyoom
+	cd tests ; go test -v

=== debian/changelog ===
earlyoom (1.1-2) unstable; urgency=medium

  * debian/rules: Disable tests.
  * debian/control: Remove build-dependency to golang.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jul 2018 16:40:17 +0800

earlyoom (1.1-1) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release
  * Bump Standards-Version to 4.1.5
  * debian/rules: Rename SYSTEMDDIR variable with SYSTEMDUNITDIR to fit
    upstream changes.

  [ Boyuan Yang ]
  * debian/patches: Drop all backported patches.
  * debian/control: Add build-dependency golang-any to enable tests.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jul 2018 10:00:01 +0800

earlyoom (1.0-2) unstable; urgency=medium

  * Backport upstream trunk code till 2018-03-05.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Migrate to Salsa platform for Vcs fields.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 20:57:51 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  debhelper (>= 11),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/rfjakob/earlyoom
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git
+Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
+Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
 
 Package: earlyoom
 Architecture: linux-any

## earlyoom 1.2

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 BINDIR ?= /bin
 SYSCONFDIR ?= /etc
 SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
+PANDOC := $(shell command -v pandoc 2> /dev/null)
 
 ifeq ($(VERSION),)
 VERSION := "(unknown version)"
@@ -13,13 +14,20 @@
 
 .PHONY: all clean install uninstall format test
 
-all: earlyoom
+all: earlyoom earlyoom.1
 
 earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
+earlyoom.1: MANPAGE.md
+ifdef PANDOC
+	pandoc MANPAGE.md -s -t man > earlyoom.1
+else
+	@echo "pandoc is not installed, skipping earlyoom.1 manpage generation"
+endif
+
 clean:
-	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1.gz
+	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz
 
 install: earlyoom.service install-bin install-default install-man
 	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
@@ -43,11 +51,15 @@
 	install -m 755 $< $(DESTDIR)$(PREFIX)$(BINDIR)/
 
 install-man: earlyoom.1.gz
+ifdef PANDOC
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 $< $(DESTDIR)$(PREFIX)/share/man/man1/
+endif
 
 earlyoom.1.gz: earlyoom.1
-	gzip -k $<
+ifdef PANDOC
+	gzip -f -k $<
+endif
 
 uninstall: uninstall-bin uninstall-man
 	systemctl disable earlyoom
@@ -63,7 +75,8 @@
 uninstall-bin:
 	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/earlyoom
 
-format:
+# Depends on earlyoom compilation to make sure the syntax is ok.
+format: earlyoom
 	clang-format -i *.h *.c
 
 test: earlyoom

=== tests/membomb/Makefile ===
CFLAGS += -Wall -Wextra -g -fstack-protector-all -std=gnu99

membomb: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -o $@ $(wildcard *.c)

=== debian/changelog ===
earlyoom (1.2-1) unstable; urgency=medium

  * New upstream release 1.2.
  * debian/control: Add new build-dependency pandoc.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Nov 2018 16:24:23 -0400

earlyoom (1.1-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update my uploader email and use the @debian.org one.
  * debian/copyright: Update copyright year.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Oct 2018 15:54:09 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper (>= 11),
-Standards-Version: 4.1.5
+ pandoc,
+Standards-Version: 4.2.1
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,15 @@
 	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr SYSTEMDDIR=/lib/systemd
-	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDDIR=/lib/systemd/system
+	dh_auto_install -- DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
+	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
 
 override_dh_installinit:
 	dh_installinit --onlyscripts
+
+override_dh_auto_test:
+	# skipping tests since golang test is problematic
+	true
+
+override_dh_missing:
+	dh_missing --fail-missing

## earlyoom 1.3

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 install: earlyoom.service install-bin install-default install-man
 	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
 	install -m 644 $< $(DESTDIR)$(SYSTEMDUNITDIR)
+	-chcon -t systemd_unit_file_t $(DESTDIR)$(SYSTEMDUNITDIR)/$<
 	-systemctl enable earlyoom
 
 install-initscript: earlyoom.initscript install-bin install-default

=== debian/changelog ===
earlyoom (1.3-2) unstable; urgency=medium

  * Backport upstream commit to fix tests
  * Fix golang build dep

 -- Yangfl <mmyangfl@gmail.com>  Tue, 09 Jul 2019 10:06:55 +0800

earlyoom (1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable tests
  * Add autopkgtest
  * Bump debhelper compat to 12

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.4.0.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 04 Jul 2019 16:38:35 +0800

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ golang-any,
  pandoc,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
 
 Package: earlyoom
 Architecture: linux-any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  lsb-base (>= 3.2-14),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system

override_dh_installinit:
	dh_installinit --onlyscripts

override_dh_missing:
	dh_missing --fail-missing

## earlyoom 1.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
-CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
+CFLAGS += -Wall -Wextra -Wformat-security -Wconversion -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
 PREFIX ?= /usr/local
@@ -14,10 +14,10 @@
 
 .PHONY: all clean install uninstall format test
 
-all: earlyoom earlyoom.1
+all: earlyoom earlyoom.1 earlyoom.service
 
 earlyoom: $(wildcard *.c *.h) Makefile
-	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
 earlyoom.1: MANPAGE.md
 ifdef PANDOC
@@ -78,7 +78,13 @@
 
 # Depends on earlyoom compilation to make sure the syntax is ok.
 format: earlyoom
-	clang-format -i *.h *.c
+	clang-format --style=WebKit -i *.h *.c
+	go fmt .
 
 test: earlyoom
-	cd tests ; go test -v
+	cppcheck -q . || echo "skipping optional cppcheck"
+	go test -v
+
+.PHONY: bench
+bench:
+	go test -run=NONE -bench=.

=== debian/changelog ===
earlyoom (1.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 May 2020 15:49:11 +0800

earlyoom (1.5-2) unstable; urgency=medium

  * Fix FTBFS on 32-bit architectures (Closes: #956094)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 08 Apr 2020 12:33:10 +0800

earlyoom (1.5-1) unstable; urgency=medium

  * New upstream release
  * Fix wrong path in systemd service (Closes: #953645)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 28 Mar 2020 11:29:20 +0800

earlyoom (1.4-2) unstable; urgency=medium

  * Fix FTBFS by disabling buggy tests

 -- Yangfl <mmyangfl@gmail.com>  Tue, 10 Mar 2020 12:23:15 +0800

earlyoom (1.4-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS (Closes: #952210)
  * Bump Standards-Version to 4.5.0
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Tue, 03 Mar 2020 17:05:04 +0800

## earlyoom 1.6.2

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 earlyoom.1.gz: earlyoom.1
 ifdef PANDOC
-	gzip -f -k $<
+	gzip -f -k -n $<
 endif
 
 uninstall: uninstall-bin uninstall-man

=== contrib/Makefile ===
.PHONY: format
format:
	autopep8 -i *.py
	clang-format -i *.c

zombie:
	gcc -Wall -Wextra -o zombie zombie.c

=== debian/changelog ===
earlyoom (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 21:44:06 +0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  golang-any,
  pandoc,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom

=== debian/tests/control ===
Tests: unittest.sh
Depends: @builddeps@, earlyoom

## earlyoom 1.7

=== debian/changelog ===
earlyoom (1.7-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Replace obsolete dependency on lsb-base with
    "sysvinit-utils (>= 3.05-4~) | lsb-base" (lintian).

  [ Helmut Grohne ]
  * Defer placement of systemd units to systemd.pc. (Closes: #1054016)

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Feb 2024 22:53:26 -0500

earlyoom (1.7-1) unstable; urgency=medium

  * New upstream release
    * Fix FTBFS with go.mod (Closes: #997659)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 09 Mar 2022 17:01:41 +0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
  debhelper-compat (= 13),
  golang-any,
  pandoc,
+ pkgconf,
+ systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
@@ -19,7 +21,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- lsb-base (>= 3.2-14),
+ sysvinit-utils (>= 3.05-4~) | lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Early OOM Daemon

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk

export VERSION := v$(DEB_VERSION_UPSTREAM)
export PREFIX := /usr
export SYSTEMDUNITDIR := $(shell pkgconf --variable=systemdsystemunitdir systemd)


%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf .cache

override_dh_auto_test:
	go version | grep -qF gcc || HOME=$$PWD go test -v

execute_after_dh_auto_install:
	+$(MAKE) install-initscript DESTDIR=debian/earlyoom

override_dh_installinit:
	dh_installinit --onlyscripts

## earlyoom 1.8.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
-VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
+# Setting GIT_DIR keeps git from ascending to parent directories
+# and gives a nicer error message
+VERSION ?= $(shell GIT_DIR=$(shell pwd)/.git git describe --tags --dirty)
+ifeq ($(VERSION),)
+VERSION := "(unknown version)"
+$(warning Could not get version from git, setting to $(VERSION))
+endif
 CFLAGS += -Wall -Wextra -Wformat-security -Wconversion -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
@@ -8,16 +14,16 @@
 SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
 PANDOC := $(shell command -v pandoc 2> /dev/null)
 
-ifeq ($(VERSION),)
-VERSION := "(unknown version)"
-endif
-
 .PHONY: all clean install uninstall format test
 
 all: earlyoom earlyoom.1 earlyoom.service
 
 earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
+
+.PHONY: earlyoom.profile
+earlyoom.profile:
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPROFILE_FIND_LARGEST_PROCESS -o earlyoom.profile $(wildcard *.c)
 
 earlyoom.1: MANPAGE.md
 ifdef PANDOC
@@ -27,7 +33,7 @@
 endif
 
 clean:
-	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz
+	rm -f earlyoom earlyoom.profile earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz gmon.out*
 
 install: earlyoom.service install-bin install-default install-man
 	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
@@ -78,7 +84,7 @@
 
 # Depends on earlyoom compilation to make sure the syntax is ok.
 format: earlyoom
-	clang-format --style=WebKit -i *.h *.c
+	clang-format --style=file -i *.h *.c
 	go fmt .
 
 test: earlyoom

=== contrib/membomb/Makefile ===
CFLAGS += -Wall -Wextra -g -fstack-protector-all -std=gnu99

.PHONY: all
all: membomb membomb.subthread

membomb : $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -o $@ eat_all_memory.c membomb.c

membomb.subthread: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -lpthread -o $@ eat_all_memory.c membomb.subthread.c

.PHONY: format
format:
	clang-format --style=file -i *.c

=== debian/changelog ===
earlyoom (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Remove tests for now, due to missing go modules
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Fri, 07 Jun 2024 23:01:10 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- golang-any,
  pandoc,
  pkgconf,
  systemd-dev,
+# golang-any,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
@@ -21,7 +21,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- sysvinit-utils (>= 3.05-4~) | lsb-base,
+ sysvinit-utils (>= 3.05-4~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Early OOM Daemon

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%earlyoom-$1.tar.gz%" \
   https://github.com/rfjakob/earlyoom/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## earlyoom 1.9.0

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,12 @@
 
 DESTDIR ?=
 PREFIX ?= /usr/local
-BINDIR ?= /bin
+BINDIR ?= $(PREFIX)/bin
+MANDIR ?= $(PREFIX)/share/man
+MAN1DIR ?= $(MANDIR)/man1
+# Systemd hardcodes its unit path list
 SYSCONFDIR ?= /etc
-SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
+SYSTEMDUNITDIR ?= /etc/systemd/system
 PANDOC := $(shell command -v pandoc 2> /dev/null)
 
 .PHONY: all clean install uninstall format test
@@ -47,20 +50,20 @@
 	-update-rc.d earlyoom start 18 2 3 4 5 . stop 20 0 1 6 .
 
 earlyoom.%: earlyoom.%.in
-	sed "s|:TARGET:|$(PREFIX)$(BINDIR)|g;s|:SYSCONFDIR:|$(SYSCONFDIR)|g" $< > $@
+	sed "s|:TARGET:|$(BINDIR)|g;s|:SYSCONFDIR:|$(SYSCONFDIR)|g" $< > $@
 
 install-default: earlyoom.default install-man
 	install -d $(DESTDIR)$(SYSCONFDIR)/default/
 	install -m 644 $< $(DESTDIR)$(SYSCONFDIR)/default/earlyoom
 
 install-bin: earlyoom
-	install -d $(DESTDIR)$(PREFIX)$(BINDIR)/
-	install -m 755 $< $(DESTDIR)$(PREFIX)$(BINDIR)/
+	install -d $(DESTDIR)$(BINDIR)/
+	install -m 755 $< $(DESTDIR)$(BINDIR)/
 
 install-man: earlyoom.1.gz
 ifdef PANDOC
-	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
-	install -m 644 $< $(DESTDIR)$(PREFIX)/share/man/man1/
+	install -d $(DESTDIR)$(MAN1DIR)/
+	install -m 644 $< $(DESTDIR)$(MAN1DIR)/
 endif
 
 earlyoom.1.gz: earlyoom.1
@@ -73,14 +76,14 @@
 	rm -f $(DESTDIR)$(SYSTEMDUNITDIR)/earlyoom.service
 
 uninstall-man:
-	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/earlyoom.1.gz
+	rm -f $(DESTDIR)$(MAN1DIR)/earlyoom.1.gz
 
 uninstall-initscript: uninstall-bin
 	rm -f $(DESTDIR)$(SYSCONFDIR)/init.d/earlyoom
 	update-rc.d earlyoom remove
 
 uninstall-bin:
-	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/earlyoom
+	rm -f $(DESTDIR)$(BINDIR)/earlyoom
 
 # Depends on earlyoom compilation to make sure the syntax is ok.
 format: earlyoom

=== contrib/Makefile ===
zombie: *.c
	gcc -Wall -Wextra -o zombie zombie.c

.PHONY: format
format:
	autopep8 -i *.py
	clang-format --style=file -i *.c

=== contrib/libproc2-test/Makefile ===
out: Makefile *.c
	gcc *.c -Wall -Wextra -g -o out -lproc2

format:
	clang-format --style=file -i *.c

=== contrib/membomb/Makefile ===
CFLAGS += -Wall -Wextra -g -fstack-protector-all -std=gnu99

.PHONY: all
all: membomb membomb.subthread membomb.mmap_anon membomb.mmap_file keep_active

membomb : $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -o $@ eat_all_memory.c membomb.c

membomb.subthread: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -lpthread -o $@ eat_all_memory.c membomb.subthread.c

membomb.mmap_anon: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -lpthread -o $@ eat_all_memory.c membomb.mmap_anon.c

membomb.mmap_file: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -lpthread -o $@ eat_all_memory.c membomb.mmap_file.c

keep_active: $(wildcard *.c *.h) Makefile
	$(CC) $(CFLAGS) -lpthread -o $@ keep_active.c

.PHONY: format
format:
	clang-format --style=file -i *.c

.PHONY: clean
clean:
	rm -f membomb membomb.subthread membomb.mmap_anon membomb.mmap_file keep_active

=== contrib/mmap_test/Makefile ===
mmap_test: Makefile *.c
	gcc -Wall -Wextra -g -o mmap_test mmap_test.c

.PHONY: format
format:
	clang-format --style=file -i *.c

=== contrib/oomstat/Makefile ===
.PHONY: oomstat
oomstat:
	go build

=== debian/changelog ===
earlyoom (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Fri, 19 Sep 2025 09:27:18 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  systemd-dev,
 # golang-any,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	rm -rf .cache
 
 override_dh_auto_test:
-	go version | grep -qF gcc || HOME=$$PWD go test -v
+	# missing go modules
+	# go version | grep -qF gcc || HOME=$$PWD go test -v
 
 execute_after_dh_auto_install:
 	+$(MAKE) install-initscript DESTDIR=debian/earlyoom

=== debian/watch ===
Version: 5
Template: Github
Owner: rfjakob
Project: earlyoom
